import { BDProductService } from '@agiliza/api/domain'

export const productServices = Array.from(Array(10).keys()).map<BDProductService>((p) => ({
  id: `${p + 1}`,
  description: `Descrição ${p + 1}`,
  unit: `Unidade ${p + 1}`,
  monthlySales: { price: Math.ceil(Math.random() * 1000).toString(), amount: Math.ceil(Math.random() % 11).toString() },
  stock: { price: Math.ceil(Math.random() * 1000).toString(), amount: Math.ceil(Math.random() % 11).toString() },
  variableCosts: { price: Math.ceil(Math.random() * 1000).toString(), amount: Math.ceil(Math.random() % 11).toString() },
}))
